Module ij
Package ij.plugin

# Class MontageMaker

java.lang.Object
ij.plugin.MontageMaker

All Implemented Interfaces:
  `PlugIn`

public class MontageMaker extends Object implements PlugIn
Implements the Image/Stacks/Make Montage command.

## Constructor Summary

Constructors
Constructor
Description
`MontageMaker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`makeMontage(ImagePlus imp)`
`void`
`makeMontage(ImagePlus imp, int columns, int rows, double scale, int first, int last, int inc, int borderWidth, boolean labels)`
Creates a montage and displays it.
`ImagePlus`
`makeMontage2(ImagePlus imp, int columns, int rows, double scale, int first, int last, int inc, int borderWidth, boolean labels)`
Creates a montage and returns it as an ImagePlus.
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`setFontSize(int fontSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MontageMaker

public MontageMaker()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### makeMontage

public void makeMontage(ImagePlus imp)

### makeMontage

public void makeMontage(ImagePlus imp, int columns, int rows, double scale, int first, int last, int inc, int borderWidth, boolean labels)
Creates a montage and displays it.

### makeMontage2

public ImagePlus makeMontage2(ImagePlus imp, int columns, int rows, double scale, int first, int last, int inc, int borderWidth, boolean labels)
Creates a montage and returns it as an ImagePlus.

### setFontSize

public void setFontSize(int fontSize)